Index: code/branches/clangenb/data/levels/includes/weaponSettingsHeartAttack.oxi
===================================================================
--- code/branches/clangenb/data/levels/includes/weaponSettingsHeartAttack.oxi	(revision 10596)
+++ code/branches/clangenb/data/levels/includes/weaponSettingsHeartAttack.oxi	(revision 10597)
@@ -1,7 +1,7 @@
     <weaponslots>
-     	<WeaponSlot position=" 0, 0, 0" />
-      	<WeaponSlot position=" 0, 0, 0" />
-      	<WeaponSlot position=" 0, 0, 0" />
-	<WeaponSlot position=" 0, 0, 0" />
+      <WeaponSlot position=" 0, 0, 0" />
+      <WeaponSlot position=" 0, 0, 0" />
+      <WeaponSlot position=" 0, 0, 0" />
+      <WeaponSlot position=" 0, 0, 0" />
     </weaponslots>
     <weaponsets>
@@ -20,25 +20,22 @@
         </links>
         <Weapon>
-          	<HsW01 mode=0 munitionpershot=0 delay=0.125 damage=3.14159 material="Flares/point_lensflare" muzzleoffset=" -11.4, 0, -5" />
-          	<HsW01 mode=0 munitionpershot=0 delay=0     damage=3.14159 material="Flares/point_lensflare" muzzleoffset=" -11.4, 0, -5" />
-		<HsW01 mode=0 munitionpershot=0 delay=0     damage=3.14159 material="Flares/point_lensflare" muzzleoffset=" 11.4, 0, -5" />
-          	<HsW01 mode=0 munitionpershot=0 delay=0.125 damage=3.14159 material="Flares/point_lensflare" muzzleoffset=" 11.4, 0, -5" />
+          <HsW01 mode=0 munitionpershot=0 delay=0.125 damage=3.14159 material="Flares/point_lensflare" muzzleoffset=" -11.4, 0, -5" />
+          <HsW01 mode=0 munitionpershot=0 delay=0     damage=3.14159 material="Flares/point_lensflare" muzzleoffset=" -11.4, 0, -5" />
+          <HsW01 mode=0 munitionpershot=0 delay=0     damage=3.14159 material="Flares/point_lensflare" muzzleoffset=" 11.4, 0, -5" />
+          <HsW01 mode=0 munitionpershot=0 delay=0.125 damage=3.14159 material="Flares/point_lensflare" muzzleoffset=" 11.4, 0, -5" />
         </Weapon>
         <Weapon>
-		<HsW01 mode=0 munitionpershot=0 delay=0.125 damage=3.14159 material="Flares/point_lensflare" muzzleoffset=" -15, 1.6, -2" />
-          	<HsW01 mode=0 munitionpershot=0 delay=0     damage=3.14159 material="Flares/point_lensflare" muzzleoffset=" -15, 1.6, -2" />
-		<HsW01 mode=0 munitionpershot=0 delay=0     damage=3.14159 material="Flares/point_lensflare" muzzleoffset=" 15, 1.6, -2" />
-          	<HsW01 mode=0 munitionpershot=0 delay=0.125 damage=3.14159 material="Flares/point_lensflare" muzzleoffset=" 15, 1.6, -2" />
+          <HsW01 mode=0 munitionpershot=0 delay=0.125 damage=3.14159 material="Flares/point_lensflare" muzzleoffset=" -15, 1.6, -2" />
+          <HsW01 mode=0 munitionpershot=0 delay=0     damage=3.14159 material="Flares/point_lensflare" muzzleoffset=" -15, 1.6, -2" />
+          <HsW01 mode=0 munitionpershot=0 delay=0     damage=3.14159 material="Flares/point_lensflare" muzzleoffset=" 15, 1.6, -2" />
+          <HsW01 mode=0 munitionpershot=0 delay=0.125 damage=3.14159 material="Flares/point_lensflare" muzzleoffset=" 15, 1.6, -2" />
         </Weapon>
         <Weapon>
-	  	<LaserFire mode=1 munitionpershot=0 muzzleoffset="2.2,6,16" damage=30 shielddamage=20 />
-	  	<LaserFire mode=1 munitionpershot=0 muzzleoffset="-2.2,6,16" damage=30 shielddamage=20 />
-          	<RocketFire mode=3 muzzleoffset="0,0,0" damage=30 healthdamage=50 shielddamage=20 />
-		
+          <LaserFire mode=1 munitionpershot=0 muzzleoffset="2.2,6,16" damage=30 shielddamage=20 />
+          <LaserFire mode=1 munitionpershot=0 muzzleoffset="-2.2,6,16" damage=30 shielddamage=20 />
+          <RocketFire mode=3 muzzleoffset="0,0,0" damage=30 healthdamage=50 shielddamage=20 />
         </Weapon>
-	<Weapon>
-		
-		
-	</Weapon>
+        <Weapon>
+        </Weapon>
       </WeaponPack>
       <WeaponPack>
Index: code/branches/clangenb/data/levels/templates/spaceshipHeartAttack.oxt
===================================================================
--- code/branches/clangenb/data/levels/templates/spaceshipHeartAttack.oxt	(revision 10596)
+++ code/branches/clangenb/data/levels/templates/spaceshipHeartAttack.oxt	(revision 10597)
@@ -50,16 +50,16 @@
     </attached>
     <collisionShapes>
-      	<BoxCollisionShape position="0,0.8,6"      halfExtents="12, 3, 10" />
-      	<BoxCollisionShape position="0,0.1,-11"  halfExtents="2.2, 1.8, 6" />
-	<BoxCollisionShape position="4.7,1,-8"      halfExtents="2, 3, 5" />
-	<BoxCollisionShape position="-4.7,1,-8"      halfExtents="2, 3, 5" />
-      	<BoxCollisionShape position="13.5,1,5"  halfExtents="1.4, 3, 7" />
-	<BoxCollisionShape position="-13.5,1,5"  halfExtents="1.4, 3, 7" />
-	<BoxCollisionShape position="16,2,4"  halfExtents="1.4, 1.5, 4" />
-	<BoxCollisionShape position="-16,2,4"  halfExtents="1.4, 1.5, 4" />
-	<BoxCollisionShape position="-2.8,5,4"  halfExtents="1.4, 1.5, 2" />
-	<BoxCollisionShape position="2.8,5,4"  halfExtents="1.4, 1.5, 2" />
-	<BoxCollisionShape position="5,5,4.3"  halfExtents="1.4, 1.5, 1.4" />
-	<BoxCollisionShape position="-5,5,4.3"  halfExtents="1.4, 1.5, 1.4" />
+      <BoxCollisionShape position="0,0.8,6"      halfExtents="12, 3, 10" />
+      <BoxCollisionShape position="0,0.1,-11"  halfExtents="2.2, 1.8, 6" />
+      <BoxCollisionShape position="4.7,1,-8"      halfExtents="2, 3, 5" />
+      <BoxCollisionShape position="-4.7,1,-8"      halfExtents="2, 3, 5" />
+      <BoxCollisionShape position="13.5,1,5"  halfExtents="1.4, 3, 7" />
+      <BoxCollisionShape position="-13.5,1,5"  halfExtents="1.4, 3, 7" />
+      <BoxCollisionShape position="16,2,4"  halfExtents="1.4, 1.5, 4" />
+      <BoxCollisionShape position="-16,2,4"  halfExtents="1.4, 1.5, 4" />
+      <BoxCollisionShape position="-2.8,5,4"  halfExtents="1.4, 1.5, 2" />
+      <BoxCollisionShape position="2.8,5,4"  halfExtents="1.4, 1.5, 2" />
+      <BoxCollisionShape position="5,5,4.3"  halfExtents="1.4, 1.5, 1.4" />
+      <BoxCollisionShape position="-5,5,4.3"  halfExtents="1.4, 1.5, 1.4" />
     </collisionShapes>
 <?lua