Index: /branches/cleanup/src/world_entities/elements/glgui_energywidgetvertical.cc
===================================================================
--- /branches/cleanup/src/world_entities/elements/glgui_energywidgetvertical.cc	(revision 10599)
+++ /branches/cleanup/src/world_entities/elements/glgui_energywidgetvertical.cc	(revision 10600)
@@ -66,5 +66,5 @@
     this->_image->setBackgroundTexture(Texture());
     this->_image->setBackgroundColor(Color(1,1,1,0));
-    this->_image->loadImageFromFile("textures/evil-flower.png");
+//     this->_image->loadImageFromFile("textures/evil-flower.png");
     //this->_image.setRelCoor2D(borderLeft(), borderTop() + this->_bar.getSizeX2D());
     this->_image->setRelCoor2D(0,0);
Index: /branches/cleanup/src/world_entities/projectiles/hbolt.cc
===================================================================
--- /branches/cleanup/src/world_entities/projectiles/hbolt.cc	(revision 10599)
+++ /branches/cleanup/src/world_entities/projectiles/hbolt.cc	(revision 10600)
@@ -49,5 +49,5 @@
 
   this->angle = 0;
-  this->rotationSpeed = 600;
+//   this->rotationSpeed = 600;
 
   this->emitter = new DotEmitter(100, 5, M_2_PI);
@@ -146,5 +146,5 @@
     this->deactivate();
 
-  this->angle += this->rotationSpeed * dt;
+  this->angle += HBolt::rotationSpeed * dt;
 
   for( ObjectList<NPC>::const_iterator eIterator = NPC::objectList().begin(); eIterator !=NPC::objectList().end(); eIterator++)
@@ -177,21 +177,17 @@
   glPushAttrib(GL_ENABLE_BIT);
   glDisable(GL_LIGHTING);
-  glDisable(GL_FOG);
+//   glDisable(GL_FOG);
 
   glMatrixMode(GL_MODELVIEW);
   glPushMatrix();
 
-
-  glTranslatef (this->getAbsCoor ().x,
-                  this->getAbsCoor ().y,
-                  this->getAbsCoor ().z);
-
-  this->halo->draw();
-
-  Vector tmpRot = this->getAbsDir().getSpacialAxis();
-  glRotatef (this->getAbsDir().getSpacialAxisAngle(), tmpRot.x, tmpRot.y, tmpRot.z );
-  glRotatef(this->angle, 0.0, 0.0, 1.0);
-
-  this->getModel()->draw();
+//     float matrix[4][4];
+    glTranslatef (this->getAbsCoor ().x, this->getAbsCoor ().y, this->getAbsCoor ().z);
+    Vector tmpRot = this->getAbsDir().getSpacialAxis();
+    glRotatef (this->getAbsDir().getSpacialAxisAngle(), tmpRot.x, tmpRot.y, tmpRot.z );
+    glRotatef(this->angle, 0.0, 0.0, 1.0);
+//     glMultMatrixf((float*)matrix);
+    this->getModel()->draw();
+    this->halo->draw();
 
   glPopMatrix();
Index: /branches/cleanup/src/world_entities/projectiles/hbolt.h
===================================================================
--- /branches/cleanup/src/world_entities/projectiles/hbolt.h	(revision 10599)
+++ /branches/cleanup/src/world_entities/projectiles/hbolt.h	(revision 10600)
@@ -42,5 +42,5 @@
 
     float                             angle;
-    float                             rotationSpeed;
+    static const float                rotationSpeed = 600;
 
     Billboard*                        halo;
Index: /branches/cleanup/src/world_entities/projectiles/lbolt.cc
===================================================================
--- /branches/cleanup/src/world_entities/projectiles/lbolt.cc	(revision 10599)
+++ /branches/cleanup/src/world_entities/projectiles/lbolt.cc	(revision 10600)
@@ -59,5 +59,4 @@
 
   this->angle = 0;
-  this->rotationSpeed = 130;
 
   this->halo = new Billboard();
@@ -148,5 +147,5 @@
     this->deactivate();
 
-  angle += rotationSpeed * dt;
+  angle += LBolt::rotationSpeed * dt;
 
   for( ObjectList<NPC>::const_iterator eIterator = NPC::objectList().begin(); eIterator !=NPC::objectList().end(); eIterator++)
@@ -182,16 +181,16 @@
   glPushMatrix();
 
-  float matrix[4][4];
-  glTranslatef (this->getAbsCoor ().x, this->getAbsCoor ().y, this->getAbsCoor ().z);
+    float matrix[4][4];
+    glTranslatef (this->getAbsCoor ().x, this->getAbsCoor ().y, this->getAbsCoor ().z);
+    Vector tmpRot = this->getAbsDir().getSpacialAxis();
+    glRotatef (this->getAbsDir().getSpacialAxisAngle(), tmpRot.x, tmpRot.y, tmpRot.z );
+    glRotatef(this->angle, 1.0, 0.0, 0.0);
+    this->getAbsDir().matrix (matrix);
+    glMultMatrixf((float*)matrix);
+    this->getModel()->draw();
 
-  glRotatef(angle, 1.0, 0.0, 0.0);
-  this->getAbsDir().matrix (matrix);
-  glMultMatrixf((float*)matrix);
-  this->getModel()->draw();
-
-  this->halo->draw();
+    this->halo->draw();
 
   glPopMatrix();
-
   glPopAttrib();
 }
Index: /branches/cleanup/src/world_entities/projectiles/lbolt.h
===================================================================
--- /branches/cleanup/src/world_entities/projectiles/lbolt.h	(revision 10599)
+++ /branches/cleanup/src/world_entities/projectiles/lbolt.h	(revision 10600)
@@ -43,5 +43,5 @@
 
     float                             angle;
-    float                             rotationSpeed;
+    static const float                rotationSpeed = 1080;
 
     Billboard*                        halo;
Index: /branches/cleanup/src/world_entities/weapons/acid_launcher.cc
===================================================================
--- /branches/cleanup/src/world_entities/weapons/acid_launcher.cc	(revision 10599)
+++ /branches/cleanup/src/world_entities/weapons/acid_launcher.cc	(revision 10600)
@@ -37,6 +37,6 @@
 using namespace std;
 
-ObjectListDefinition(AcidLauncher);
-CREATE_FACTORY(AcidLauncher);
+ObjectListDefinition ( AcidLauncher );
+CREATE_FACTORY ( AcidLauncher );
 
 /**
@@ -46,5 +46,5 @@
  */
 AcidLauncher::AcidLauncher()
-  : Weapon()
+    : Weapon()
 {
   this->init();
@@ -54,9 +54,9 @@
  * creates a new AcidLauncher from a TiXmlElement
  */
-AcidLauncher::AcidLauncher(const TiXmlElement* root)
+AcidLauncher::AcidLauncher ( const TiXmlElement* root )
 {
   this->init();
-  if (root != NULL)
-    this->loadParams(root);
+  if ( root != NULL )
+    this->loadParams ( root );
 }
 
@@ -71,60 +71,57 @@
 void AcidLauncher::init()
 {
-  this->registerObject(this, AcidLauncher::_objectList);
-/*
-  Animation3D* animation1 = this->getAnimation(WS_ACTIVATING, this);
-  Animation3D* animation2 = this->getAnimation(WS_DEACTIVATING, this);
+  this->registerObject ( this, AcidLauncher::_objectList );
+  /*
+    Animation3D* animation1 = this->getAnimation(WS_ACTIVATING, this);
+    Animation3D* animation2 = this->getAnimation(WS_DEACTIVATING, this);
 
-  animation1->addKeyFrame(Vector(0, -.5, 0), Quaternion(), 0.3, ANIM_LINEAR, ANIM_CONSTANT);
-  animation1->addKeyFrame(Vector(0, 0, 0), Quaternion(), 0.3, ANIM_LINEAR, ANIM_CONSTANT);
-  animation2->addKeyFrame(Vector(0, 0, 0), Quaternion(), 0.3, ANIM_LINEAR, ANIM_CONSTANT);
-  animation2->addKeyFrame(Vector(0, -.5, 0), Quaternion(), 0.3, ANIM_LINEAR, ANIM_CONSTANT);
+    animation1->addKeyFrame(Vector(0, -.5, 0), Quaternion(), 0.3, ANIM_LINEAR, ANIM_CONSTANT);
+    animation1->addKeyFrame(Vector(0, 0, 0), Quaternion(), 0.3, ANIM_LINEAR, ANIM_CONSTANT);
+    animation2->addKeyFrame(Vector(0, 0, 0), Quaternion(), 0.3, ANIM_LINEAR, ANIM_CONSTANT);
+    animation2->addKeyFrame(Vector(0, -.5, 0), Quaternion(), 0.3, ANIM_LINEAR, ANIM_CONSTANT);
 
-  animation1->setInfinity(ANIM_INF_CONSTANT);
-  animation2->setInfinity(ANIM_INF_CONSTANT);
-*/
-  this->setStateDuration(WS_SHOOTING, 1.0f);
+    animation1->setInfinity(ANIM_INF_CONSTANT);
+    animation2->setInfinity(ANIM_INF_CONSTANT);
+  */
+  this->setStateDuration ( WS_SHOOTING, 1.0f );
 
-  this->setStateDuration(WS_RELOADING, 1.0f);
-  this->setStateDuration(WS_ACTIVATING, .4);
-  this->setStateDuration(WS_DEACTIVATING, .4);
+  this->setStateDuration ( WS_RELOADING, 1.0f );
+  this->setStateDuration ( WS_ACTIVATING, .4 );
+  this->setStateDuration ( WS_DEACTIVATING, .4 );
 
-  this->setEnergyMax(100);
-  this->increaseEnergy(100);
+  this->setEnergyMax ( 100 );
+  this->increaseEnergy ( 100 );
   //this->minCharge = 2;
 
-  this->setCapability(WTYPE_ALLDIRS | WTYPE_TURRET | WTYPE_DIRECTIONAL | WTYPE_LIGHT);
-  this->setProjectileTypeC("AcidSplash");
+  this->setCapability ( WTYPE_ALLDIRS | WTYPE_TURRET | WTYPE_DIRECTIONAL | WTYPE_LIGHT );
+  this->setProjectileTypeC ( "AcidSplash" );
 //   this->loadModel("models/guns/turret1.obj", 1.0);
 
-  this->setEmissionPoint(2.0, 0, 0);
-  this->getProjectileFactory()->prepare(10);
+  this->setEmissionPoint ( 2.0, 0, 0 );
+  this->getProjectileFactory()->prepare ( 10 );
 
-  this->setActionSound(WA_SHOOT, "sounds/explosions/explosion_1.wav");
-  this->setActionSound(WA_ACTIVATE, "sounds/voices/rockets.wav");
+  this->setActionSound ( WA_SHOOT, "sounds/explosions/explosion_1.wav" );
+  this->setActionSound ( WA_ACTIVATE, "sounds/voices/rockets.wav" );
 //   this->setActionSound(WA_RELOAD, "sounds/voices/reload.wav");
 
 }
 
-void AcidLauncher::loadParams(const TiXmlElement* root)
+void AcidLauncher::loadParams ( const TiXmlElement* root )
 {
-  Weapon::loadParams(root);
+  Weapon::loadParams ( root );
 }
 
 void AcidLauncher::activate()
-{
-}
+{}
 
 void AcidLauncher::deactivate()
+{}
+
+void AcidLauncher::tick ( float dt )
 {
-}
-
-void AcidLauncher::tick(float dt)
-{
-  if (!Weapon::tickW(dt))
+  if ( !Weapon::tickW ( dt ) )
     return;
-  if (this->energyWidget != NULL && !this->isEnergyWidgetInitialized)
-  {
-    this->energyWidget->setDisplayedImage("textures/gui/gui_acid.png");
+  if ( this->energyWidget != NULL && !this->isEnergyWidgetInitialized ) {
+    this->energyWidget->setDisplayedImage ( "textures/gui/gui_acid.png" );
     this->isEnergyWidgetInitialized = true;
   }
@@ -155,17 +152,16 @@
 
   Projectile* pj = NULL;
-  for( int i=0; i < 1; i++)
-  {
-      pj  = this->getProjectile();
-      if (pj == NULL)
-        return;
+  for ( int i=0; i < 1; i++ ) {
+    pj  = this->getProjectile();
+    if ( pj == NULL )
+      return;
 
-      fired = true;
-      pj->setVelocity(this->getVelocity()+(this->getAbsDir().apply(Vector(1,0,0))*165.0 + VECTOR_RAND(10)));
+    fired = true;
+    pj->setVelocity ( this->getVelocity() + ( this->getAbsDir().apply ( Vector ( 1,0,0 ) ) *165.0 + VECTOR_RAND ( 10 ) ) );
 
-      pj->setParent(PNode::getNullParent());
-      pj->setAbsCoor(this->getEmissionPoint() + VECTOR_RAND(.1));
-      pj->setAbsDir(this->getAbsDir()+Quaternion(0,VECTOR_RAND(5)));
-      pj->activate();
+    pj->setParent ( PNode::getNullParent() );
+    pj->setAbsCoor ( this->getEmissionPoint() + VECTOR_RAND ( .1 ) );
+    pj->setAbsDir ( this->getAbsDir() +Quaternion ( 0,VECTOR_RAND ( 5 ) ) );
+    pj->activate();
   }
 }
Index: /branches/cleanup/src/world_entities/weapons/acid_launcher.h
===================================================================
--- /branches/cleanup/src/world_entities/weapons/acid_launcher.h	(revision 10599)
+++ /branches/cleanup/src/world_entities/weapons/acid_launcher.h	(revision 10600)
@@ -12,23 +12,23 @@
 
 class AcidLauncher : public Weapon
-  {
-  ObjectListDeclaration(AcidLauncher);
+{
+    ObjectListDeclaration ( AcidLauncher );
   public:
     AcidLauncher ();
-    AcidLauncher(const TiXmlElement* root);
+    AcidLauncher ( const TiXmlElement* root );
     virtual ~AcidLauncher ();
 
     void init();
-    virtual void loadParams(const TiXmlElement* root);
+    virtual void loadParams ( const TiXmlElement* root );
 
     virtual void activate();
     virtual void deactivate();
 
-    virtual void tick(float dt);
+    virtual void tick ( float dt );
     virtual void fire();
 
 
   private:
-  };
+};
 
 #endif /* _ACID_LAUNCHER_H */
Index: /branches/cleanup/src/world_entities/weapons/light_blaster.cc
===================================================================
--- /branches/cleanup/src/world_entities/weapons/light_blaster.cc	(revision 10599)
+++ /branches/cleanup/src/world_entities/weapons/light_blaster.cc	(revision 10600)
@@ -98,23 +98,28 @@
   this->objComp = new PNode**[this->getBarrels()];
   this->emissionPoint = new PNode*[this->getBarrels()];
-  this->shootAnim = new Animation3D**[this->getBarrels()];
+//   this->shootAnim = new Animation3D**[this->getBarrels()];
   for (int i = 0; i < this->getBarrels(); i++)
   {
     this->objComp[i] = new PNode* [this->getSegs()];
     this->emissionPoint[i] = new PNode;
-    this->emissionPoint[i]->setParent(this);             //< One EmissionPoint, that is a PNode connected to the weapon. You can set this to the exitting point of the Projectiles
+    this->emissionPoint[i]->setParent(this);
     this->emissionPoint[i]->setName("EmissionPoint");
     this->emissionPoint[i]->addNodeFlags(PNODE_PROHIBIT_DELETE_WITH_PARENT);
-    this->shootAnim[i] = new Animation3D* [this->getSegs()];
+//     this->shootAnim[i] = new Animation3D* [this->getSegs()];
     for(int j = 0; j < this->getSegs(); j++)
     {
       this->objComp[i][j] = new PNode;
-      this->shootAnim[i][j] = new Animation3D(this->objComp[i][j]);
-      this->shootAnim[i][j]->setInfinity(ANIM_INF_CONSTANT);
+//       this->shootAnim[i][j] = new Animation3D(this->objComp[i][j]);
+//       this->shootAnim[i][j]->setInfinity(ANIM_INF_CONSTANT);
     }
   }
-
-  for (int i = 0; i < this->getBarrels(); i++ )
-    this->emissionPoint[i]->setRelCoor(Vector(1.19, 0.0, 0.1));
+/*
+  this->emissionPoint[0]->setRelCoor(Vector(1.19, 0.0, 0.1));
+  this->emissionPoint[1]->setRelCoor(Vector(1.19, -0.07, -0.05));
+  this->emissionPoint[2]->setRelCoor(Vector(1.19, 0.07, -0.05));*/
+
+  this->emissionPoint[0]->setRelCoor(Vector(2.2, 0.0, 0.1));
+  this->emissionPoint[1]->setRelCoor(Vector(2.2, -0.07, -0.05));
+  this->emissionPoint[2]->setRelCoor(Vector(2.2, 0.07, -0.05));
 
 //   Animation3D* animation1 = this->getAnimation(WS_SHOOTING, this);
@@ -128,8 +133,8 @@
 //   this->setEmissionPoint(3.8, 1.2, 0);
 
-  for (int i = 0; i < this->getBarrels(); i++){
-    this->shootAnim[i][0]->addKeyFrame(Vector(), Quaternion(i * 120, Vector(1.0, 0.0, 0.0)), 0.049, ANIM_NULL, ANIM_LINEAR);
-    this->shootAnim[i][0]->addKeyFrame(Vector(), Quaternion((i+1)*120, Vector(1.0, 0.0, 0.0)), 0.001, ANIM_NULL, ANIM_LINEAR);
-  }
+//   for (int i = 0; i < this->getBarrels(); i++){
+//     this->shootAnim[i][0]->addKeyFrame(Vector(), Quaternion(i * 120, Vector(1.0, 0.0, 0.0)), 0.049, ANIM_NULL, ANIM_LINEAR);
+//     this->shootAnim[i][0]->addKeyFrame(Vector(), Quaternion((i+1)*120, Vector(1.0, 0.0, 0.0)), 0.001, ANIM_NULL, ANIM_LINEAR);
+//   }
 
 
@@ -160,6 +165,6 @@
   pj->activate();
 
-  for (int i = 0; i < this->getSegs(); i++)
-    this->shootAnim[this->activeBarrel][i]->replay();
+//   for (int i = 0; i < this->getSegs(); i++)
+//     this->shootAnim[this->activeBarrel][i]->replay();
 
   // switch barrel