Index: code/branches/weaponFS15/data/levels/includes/weaponSettingsAssff.oxi
===================================================================
--- code/branches/weaponFS15/data/levels/includes/weaponSettingsAssff.oxi	(revision 10601)
+++ code/branches/weaponFS15/data/levels/includes/weaponSettingsAssff.oxi	(revision 10602)
@@ -43,6 +43,6 @@
         </Weapon>
       </WeaponPack>
-     <WeaponPack>
-            <links>
+      <WeaponPack>
+        <links>
           <DefaultWeaponmodeLink firemode=0 weaponmode=0 />
           <DefaultWeaponmodeLink firemode=1 weaponmode=1 />
Index: code/branches/weaponFS15/data/particle/FieldExplosion.particle
===================================================================
--- code/branches/weaponFS15/data/particle/FieldExplosion.particle	(revision 10601)
+++ code/branches/weaponFS15/data/particle/FieldExplosion.particle	(revision 10602)
@@ -2,164 +2,83 @@
 
 {
-
 	material PE/lensflare
-
 	particle_width 152.940002441406
-
 	particle_height 154.119995117188
-
 	quota 2000
-
 	cull_each false
-
 	sorted false
-
 	local_space false
-
 	iteration_interval 0.0
-
 	nonvisible_update_timeout 0.0
-
 	billboard_type point
-
 	billboard_origin center
-
 	billboard_rotation_type texcoord
-
 	point_rendering false
-
 	accurate_facing false
 
-
+	emitter Point
+	{
+		position 0.0 0.0 0.0
+		direction 1.0 0.0 0.0
+		angle 0.0
+		emission_rate 200.0
+		velocity_min -1000.0
+		velocity_max 1000.0
+		time_to_live_min 2.0
+		time_to_live_max 4.0
+		duration_min 0.0
+		duration_max 0.0
+		repeat_delay_min 0.0
+		repeat_delay_max 0.0
+		colour_range_start 1 1 1 1
+		colour_range_end 0.666667 0 0 1
+	}
 
 	emitter Point
-
 	{
-
 		position 0.0 0.0 0.0
-
-		direction 1.0 0.0 0.0
-
+		direction 0.0 0.0 1.0
 		angle 0.0
-
 		emission_rate 200.0
-
 		velocity_min -1000.0
-
 		velocity_max 1000.0
-
 		time_to_live_min 2.0
-
 		time_to_live_max 4.0
-
 		duration_min 0.0
-
 		duration_max 0.0
-
 		repeat_delay_min 0.0
-
 		repeat_delay_max 0.0
-
 		colour_range_start 1 1 1 1
-
-		colour_range_end 0.666667 0 0 1
-
+		colour_range_end 0.333333 0 1 1
 	}
 
-
-
 	emitter Point
-
 	{
-
 		position 0.0 0.0 0.0
-
-		direction 0.0 0.0 1.0
-
+		direction 0.0 1.0 0.0
 		angle 0.0
-
 		emission_rate 200.0
-
 		velocity_min -1000.0
-
 		velocity_max 1000.0
-
 		time_to_live_min 2.0
-
 		time_to_live_max 4.0
-
 		duration_min 0.0
-
 		duration_max 0.0
-
 		repeat_delay_min 0.0
-
 		repeat_delay_max 0.0
-
 		colour_range_start 1 1 1 1
-
-		colour_range_end 0.333333 0 1 1
-
+		colour_range_end 0 1 0.498039 1
 	}
 
-
-
-	emitter Point
-
+	affector LinearForce
 	{
-
-		position 0.0 0.0 0.0
-
-		direction 0.0 1.0 0.0
-
-		angle 0.0
-
-		emission_rate 200.0
-
-		velocity_min -1000.0
-
-		velocity_max 1000.0
-
-		time_to_live_min 2.0
-
-		time_to_live_max 4.0
-
-		duration_min 0.0
-
-		duration_max 0.0
-
-		repeat_delay_min 0.0
-
-		repeat_delay_max 0.0
-
-		colour_range_start 1 1 1 1
-
-		colour_range_end 0 1 0.498039 1
-
+		force_vector 0.0 -45.62 0.0
+		force_application add
 	}
 
-
-
-	affector LinearForce
-
+	affector Scaler
 	{
-
-		force_vector 0.0 -45.62 0.0
-
-		force_application add
-
-	}
-
-
-
-	affector Scaler
-
-	{
-
 		rate 16.47
-
 	}
 	
-
 }
-
Index: code/branches/weaponFS15/src/modules/objects/ForceField.h
===================================================================
--- code/branches/weaponFS15/src/modules/objects/ForceField.h	(revision 10601)
+++ code/branches/weaponFS15/src/modules/objects/ForceField.h	(revision 10602)
@@ -160,15 +160,12 @@
             const std::string& getMode(void); //!< Get the mode of the ForceField.
 
+            //! Strings to represent the modes.
             static const std::string modeTube_s;
             static const std::string modeSphere_s;
             static const std::string modeInvertedSphere_s;
             static const std::string modeNewtonianGravity_s;
-
             static const std::string modeHomogen_s;
 
         private:
-            //! Strings to represent the modes.
-
-
             float velocity_; //!< The velocity of the ForceField.
             float radius_; //!< The radius of the ForceField.