Index: /branches/cleanup/src/world_entities/projectiles/mbolt.cc
===================================================================
--- /branches/cleanup/src/world_entities/projectiles/mbolt.cc	(revision 10602)
+++ /branches/cleanup/src/world_entities/projectiles/mbolt.cc	(revision 10603)
@@ -82,5 +82,6 @@
   //this->trail->setParent( this);
   this->trail->setTexture( "textures/laser.png");
-  this->trail->setAbsCoor(this->getAbsCoor() - Vector(.7,0,0));
+//   this->trail->setAbsCoor(this->getAbsCoor() - Vector(.7,0,0));
+  this->trail->setAbsCoor(this->getAbsCoor() - this->getVelocity().getNormalized() * .7);
 
 }
Index: /branches/cleanup/src/world_entities/projectiles/projectile_weapon.h
===================================================================
--- /branches/cleanup/src/world_entities/projectiles/projectile_weapon.h	(revision 10602)
+++ /branches/cleanup/src/world_entities/projectiles/projectile_weapon.h	(revision 10603)
@@ -1,7 +1,8 @@
 /*!
  * @file projectile_weapon.h
- * a projectile_weapon, that is been shooted by a weapon
+ * a projectile_weapon is a projetile fireing projectile. 
  *
- * You can use this class to make some ProjectileWeapons/Bullets/Lasers/Rockets/etc.
+ * You can use this class to make some Multi-Stage Projectiles.
+ * See Spike_Ball for an implemeted example.
  *
  */
Index: /branches/cleanup/src/world_entities/projectiles/swarm_projectile.cc
===================================================================
--- /branches/cleanup/src/world_entities/projectiles/swarm_projectile.cc	(revision 10602)
+++ /branches/cleanup/src/world_entities/projectiles/swarm_projectile.cc	(revision 10603)
@@ -57,12 +57,14 @@
   this->elecDamage = 0;
 
-  this->trail = new Trail(2.5,4,.2, this);
-  //this->trail->setParent( this);
+  this->trail = new Trail(2.5, 4, .2, this);
   this->trail->setTexture( "textures/laser.png");
-  
-  this->maxVelocity = 300;
-
-  this->rotationSpeed = 360;
+
+//   this->maxVelocity = 300;
+
+  this->smoke = new Trail(20, 10, .3, this);
+  this->smoke->setTexture ("textures/engine.png");
+
   this->angle = 0;
+
 
 
@@ -86,4 +88,5 @@
   // delete this->emitter;
   delete this->trail;
+  delete this->smoke;
 }
 
@@ -116,7 +119,7 @@
   this->setHealth(10.0* (float)rand()/(float)RAND_MAX);
 
-  this->maxVelocity = 300;
-
-  this->rotationSpeed = 360;
+//   this->maxVelocity = 300;
+
+//   this->rotationSpeed = 360;
   this->angle = 0;
 
@@ -219,4 +222,5 @@
 
   this->trail->tick(time);
+  this->smoke->tick(time);
 
   this->angle += this->rotationSpeed * time;
@@ -278,4 +282,6 @@
   glTranslatef(-.9,0,0);
   this->trail->draw();
+  glTranslatef( -1.1, 0, 0);
+  this->smoke->draw();
   glPopMatrix();
 }
Index: /branches/cleanup/src/world_entities/projectiles/swarm_projectile.h
===================================================================
--- /branches/cleanup/src/world_entities/projectiles/swarm_projectile.h	(revision 10602)
+++ /branches/cleanup/src/world_entities/projectiles/swarm_projectile.h	(revision 10603)
@@ -1,5 +1,5 @@
 /*!
  * @file swarm_projectile.h
- * @brief a SwarmProjectile Projectile
+ * @brief a Swarm_Missile Projectile
 */
 
@@ -40,8 +40,9 @@
 
     Trail*                            trail;
+    Trail*                            smoke;
 
     ParticleEmitter*                  emitter;
     float                             agility;
-    float                             maxVelocity;
+    const static float                maxVelocity = 100;
     float                             speed;
     Vector                            diffVector ;
@@ -57,5 +58,5 @@
 
     // spinning missle
-    float                             rotationSpeed;
+    const static float                rotationSpeed = 360;
     float                             angle;
 };
Index: /branches/cleanup/src/world_entities/weapons/swarm_launcher.cc
===================================================================
--- /branches/cleanup/src/world_entities/weapons/swarm_launcher.cc	(revision 10602)
+++ /branches/cleanup/src/world_entities/weapons/swarm_launcher.cc	(revision 10603)
@@ -98,11 +98,11 @@
   this->setProjectileTypeC("SwarmProjectile");
 
-  this->loadModel("models/guns/turret1.obj", 1.0);
+//   this->loadModel("models/guns/turret1.obj", 1.0);
 
   this->setEmissionPoint(1.684, 0.472, 0);
-  this->getProjectileFactory()->prepare(50);
+  this->getProjectileFactory()->prepare(10);
 
   this->setActionSound(WA_SHOOT, "sounds/explosions/explosion_1.wav");
-  this->setActionSound(WA_ACTIVATE, "sounds/voices/rockets.wav");
+//   this->setActionSound(WA_ACTIVATE, "sounds/voices/rockets.wav");
 //   this->setActionSound(WA_RELOAD, "sounds/voices/reload.wav");
 