Index: /branches/scriptimprovements/src/world_entities/script_triggers/script_trigger.cc
===================================================================
--- /branches/scriptimprovements/src/world_entities/script_triggers/script_trigger.cc	(revision 10608)
+++ /branches/scriptimprovements/src/world_entities/script_triggers/script_trigger.cc	(revision 10609)
@@ -61,5 +61,4 @@
   executionStopped = false; // true when something goes wrong and the trigger has to be stopped
   addToScript = false;
-  this->activeOnCreation = false;
 
 
@@ -106,7 +105,4 @@
       .describe("where this script trigger should be located")
       .defaultValues("");
-  LoadParam(root, "delay", this, ScriptTrigger, setDelay)
-      .describe("the delay after which the funtion sould be triggered")
-      .defaultValues(0);
   LoadParam(root, "triggerparent", this, ScriptTrigger, setTriggerParent)
       .describe("The name of the parent as it is in the *.oxw file")
Index: /branches/scriptimprovements/src/world_entities/script_triggers/script_trigger.h
===================================================================
--- /branches/scriptimprovements/src/world_entities/script_triggers/script_trigger.h	(revision 10608)
+++ /branches/scriptimprovements/src/world_entities/script_triggers/script_trigger.h	(revision 10609)
@@ -33,7 +33,4 @@
 
     /// SET MEMBER
- 
-    void setActiveOnCreation(const bool avtive) { this->activeOnCreation = avtive; }
-    void setDelay(float delay) { this->delay = delay; };
     void setScript(const std::string& file);
     void setFunction(const std::string& function){ this->functionName = function;}
@@ -41,14 +38,4 @@
     void setAddToScript(const bool add) { this->addToScript = add; }
     void setTriggerParent(const std::string& name);
-    
-    inline void setScriptIsOk(bool ok){ scriptIsOk = ok ; }
-    inline void setScriptCalled(bool called){ scriptCalled = called; }
-    inline void setScriptFinished(bool finished){ scriptFinished = finished; }
-    
-    ///POLLING
-
-    inline bool getScriptIsOk(){ return scriptIsOk; }
-    inline bool getScriptCalled(){ return scriptCalled; }
-    inline bool getScriptFinished(){ return scriptFinished; }
     
     
@@ -58,6 +45,4 @@
   private:
 
-    bool         activeOnCreation;
-    float        delay;
     Script*      script;
     std::string  functionName;
@@ -66,9 +51,12 @@
     
     //for internal use
+    bool         executionStopped;   // true when something goes wrong and the trigger has to be stopped
+    int          returnCount;        //TODO: set return count correctly
+    
+  protected:
+    
     bool         scriptCalled;
     bool         scriptIsOk;
-    bool         executionStopped;   // true when something goes wrong and the trigger has to be stopped
     bool         scriptFinished;
-    int          returnCount;        //TODO: set return count correctly
 
 };
Index: /branches/scriptimprovements/src/world_entities/script_triggers/space_trigger.cc
===================================================================
--- /branches/scriptimprovements/src/world_entities/script_triggers/space_trigger.cc	(revision 10608)
+++ /branches/scriptimprovements/src/world_entities/script_triggers/space_trigger.cc	(revision 10609)
@@ -116,7 +116,7 @@
 void SpaceTrigger::tick(float timestep)
 {
-  if( this->getScriptFinished() ) return;
+  if( scriptFinished ) return;
 
-  if(triggerRemains && this->getScriptCalled() )
+  if(triggerRemains && scriptCalled )
   {
     executeAction(timestep);
@@ -130,5 +130,5 @@
     //printf("Distance is %f \n", this->distance(target));
       executeAction(timestep);
-      this->setScriptCalled(true);
+      scriptCalled = true;
       return;
 
@@ -137,5 +137,5 @@
     {
       executeAction(timestep);
-      this->setScriptCalled(true);
+      scriptCalled = true;
       return;
     }
Index: /branches/scriptimprovements/src/world_entities/script_triggers/tick_trigger.cc
===================================================================
--- /branches/scriptimprovements/src/world_entities/script_triggers/tick_trigger.cc	(revision 10608)
+++ /branches/scriptimprovements/src/world_entities/script_triggers/tick_trigger.cc	(revision 10609)
@@ -0,0 +1,71 @@
+/*
+   orxonox - the future of 3D-vertical-scrollers
+
+   Copyright (C) 2004 orx
+
+   This program is free software; you can redistribute it and/or modify
+   it under the terms of the GNU General Public License as published by
+   the Free Software Foundation; either version 2, or (at your option)
+   any later version.
+
+### File Specific:
+   main-programmer: Silvan Nellen
+   co-programmer: ...
+*/
+
+
+#include "tick_trigger.h"
+#include "debug.h"
+
+ObjectListDefinition(TickTrigger);
+
+// CREATE_SCRIPTABLE_CLASS(TickTrigger,
+//             // Coordinates
+//                         addMethod("setAbsCoor", Executor3<PNode, lua_State*,float,float,float>(&PNode::setAbsCoor))
+//                             ->addMethod("getAbsCoorX", Executor0ret<PNode, lua_State*, float>(&PNode::getAbsCoorX))
+//                             ->addMethod("getAbsCoorY", Executor0ret<PNode, lua_State*, float>(&PNode::getAbsCoorY))
+//                             ->addMethod("getAbsCoorZ", Executor0ret<PNode, lua_State*, float>(&PNode::getAbsCoorZ))
+//             //Properties
+//                             ->addMethod("setName", Executor1<BaseObject, lua_State*, const std::string&>(&BaseObject::setName))
+//                             ->addMethod("setTarget", Executor1<TickTrigger, lua_State*, const std::string&>(&TickTrigger::setTarget))
+//                             ->addMethod("setTriggerParent", Executor1<TickTrigger, lua_State*, const std::string&>(&TickTrigger::setTriggerParent))
+//                             ->addMethod("setTriggerRemains", Executor1<TickTrigger, lua_State*, bool>(&TickTrigger::setTriggerRemains))
+//                             ->addMethod("setActiveOnCreation", Executor1<TickTrigger, lua_State*, bool>(&TickTrigger::setActiveOnCreation))
+//                             ->addMethod("setInvert", Executor1<TickTrigger, lua_State*, bool>(&TickTrigger::setInvert))
+//                             ->addMethod("setRadius", Executor1<TickTrigger, lua_State*, float>(&TickTrigger::setRadius))
+//                             ->addMethod("setScript", Executor1<TickTrigger, lua_State*, const std::string&>(&TickTrigger::setScript))
+//                             ->addMethod("setFunction", Executor1<TickTrigger, lua_State*, const std::string&>(&TickTrigger::setFunction))
+//                             ->addMethod("setDebugDraw", Executor1<TickTrigger, lua_State*, bool>(&TickTrigger::setDebugDraw))
+//                             ->addMethod("setAddToScript", Executor1<TickTrigger, lua_State*, bool>(&TickTrigger::setAddToScript))
+//                        );
+
+
+/**
+ * Constructs a new TickTrigger.
+ * @param root the xml element to load the parameters from.
+ *
+ */
+TickTrigger::TickTrigger(const TiXmlElement* root)
+{
+  this->registerObject(this, TickTrigger::_objectList);
+  this->toList(OM_COMMON);
+
+}
+
+/**
+ * Deletes the TickTrigger.
+ *
+ */
+TickTrigger::~TickTrigger()
+{
+
+}
+
+
+void TickTrigger::tick(float timestep)
+{
+  if( scriptFinished ) return;
+
+  this->executeAction(timestep);
+      
+}
Index: /branches/scriptimprovements/src/world_entities/script_triggers/tick_trigger.h
===================================================================
--- /branches/scriptimprovements/src/world_entities/script_triggers/tick_trigger.h	(revision 10608)
+++ /branches/scriptimprovements/src/world_entities/script_triggers/tick_trigger.h	(revision 10609)
@@ -0,0 +1,29 @@
+/*!
+ * @file space_trigger.h
+ *  always triggeres a script
+ */
+
+#ifndef _TICK_TRIGGER_H
+#define _TICK_TRIGGER_H
+
+#include <string>
+
+#include "script.h"
+#include "script_class.h"
+#include "script_trigger.h"
+
+class TickTrigger : public ScriptTrigger
+{
+  ObjectListDeclaration(TickTrigger);
+  
+  public:
+    TickTrigger(const TiXmlElement* root = NULL);
+    ~TickTrigger();
+
+    /// DO WORK
+    virtual void tick(float timestep);
+
+};
+
+
+#endif