Index: code/branches/presentationFS15merge/src/modules/weapons/weaponmodes/CMakeLists.txt
===================================================================
--- code/branches/presentationFS15merge/src/modules/weapons/weaponmodes/CMakeLists.txt	(revision 10610)
+++ code/branches/presentationFS15merge/src/modules/weapons/weaponmodes/CMakeLists.txt	(revision 10613)
@@ -6,4 +6,5 @@
   LightningGun.cc
   RocketFire.cc
+  RocketFireOld.cc
   SimpleRocketFire.cc
 )
Index: code/branches/presentationFS15merge/src/modules/weapons/weaponmodes/RocketFireOld.cc
===================================================================
--- code/branches/presentationFS15merge/src/modules/weapons/weaponmodes/RocketFireOld.cc	(revision 10613)
+++ code/branches/presentationFS15merge/src/modules/weapons/weaponmodes/RocketFireOld.cc	(revision 10613)
@@ -0,0 +1,86 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *      Oliver Scheuss
+ *   Co-authors:
+ *      simonmie
+ *
+ */
+
+/**
+    @file RocketFire.h
+    @brief Implementation of the RocketFire class.
+*/
+
+#include "RocketFireOld.h"
+
+#include "core/CoreIncludes.h"
+#include "util/Math.h"
+
+#include "weaponsystem/Weapon.h"
+#include "weaponsystem/WeaponPack.h"
+#include "weaponsystem/WeaponSystem.h"
+#include "worldentities/pawns/Pawn.h"
+
+#include "weapons/projectiles/RocketOld.h"
+
+namespace orxonox
+{
+    RegisterClass(RocketFireOld);
+
+    RocketFireOld::RocketFireOld(Context* context) : WeaponMode(context)
+    {
+        RegisterObject(RocketFireOld);
+
+        this->reloadTime_ = 0.20f;
+        this->bParallelReload_ = false;
+        this->damage_ = 0.0f;
+        this->speed_ = 500.0f;
+
+        this->setMunitionName("RocketMunition");
+        // The firing sound of the Rocket is played in Rocket.cc (because of OpenAl sound positioning)
+    }
+
+    RocketFireOld::~RocketFireOld()
+    {
+    }
+
+    /**
+    @brief
+        Fires the weapon. Creates the Rocket and fires it.
+    */
+    void RocketFireOld::fire()
+    {
+        RocketOld* rocket = new RocketOld(this->getContext());
+
+        this->computeMuzzleParameters(this->getWeapon()->getWeaponPack()->getWeaponSystem()->getPawn()->getAimPosition());
+        rocket->setOrientation(this->getMuzzleOrientation());
+        rocket->setPosition(this->getMuzzlePosition());
+        rocket->setVelocity(this->getMuzzleDirection() * this->speed_);
+        rocket->scale(2);
+
+        rocket->setShooter(this->getWeapon()->getWeaponPack()->getWeaponSystem()->getPawn());
+        rocket->setDamage(this->getDamage());
+        rocket->setShieldDamage(this->getShieldDamage());
+        rocket->setHealthDamage(this->getHealthDamage());
+    }
+}
Index: code/branches/presentationFS15merge/src/modules/weapons/weaponmodes/RocketFireOld.h
===================================================================
--- code/branches/presentationFS15merge/src/modules/weapons/weaponmodes/RocketFireOld.h	(revision 10613)
+++ code/branches/presentationFS15merge/src/modules/weapons/weaponmodes/RocketFireOld.h	(revision 10613)
@@ -0,0 +1,63 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *      Oliver Scheuss
+ *   Co-authors:
+ *      ...
+ *
+ */
+
+/**
+    @file RocketFireOld.h
+    @brief Definition of the RocketFire class.
+*/
+
+#ifndef _RocketFireOld_H__
+#define _RocketFireOld_H__
+
+#include "weapons/WeaponsPrereqs.h"
+#include "weaponsystem/WeaponMode.h"
+
+namespace orxonox
+{
+
+    /**
+    @brief
+        Fires the (steerable) RocketOld.
+    @author
+        Oliver Scheuss
+    @ingroup WeaponsWeaponModes
+    */
+    class _WeaponsExport RocketFireOld : public WeaponMode
+    {
+        public:
+            RocketFireOld(Context* context);
+            virtual ~RocketFireOld();
+
+            virtual void fire();
+
+        private:
+            float speed_; //!< The speed of the Rocket.
+    };
+}
+
+#endif /* _RocketFireOld_H__ */